Bug 1288078 - Fedora 24 Boost 1.60 uplift
Summary: Fedora 24 Boost 1.60 uplift
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Wakely
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF24, SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-03 12:52 UTC by Jan Kurik
Modified: 2016-09-29 11:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 11:24:44 UTC
simon.richard.clark: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jan Kurik 2015-12-03 12:52:02 UTC
This is a tracking bug for Change: Fedora 24 Boost 1.60 uplift
For more details, see: https://fedoraproject.org//wiki/Changes/F24Boost160

This change brings Boost 1.60.0 to Fedora 24. This will mean F24 ships with the latest upstream Boost release.

Comment 1 Jan Kurik 2016-02-24 14:25:51 UTC
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.

Comment 2 Jan Kurik 2016-04-20 15:01:26 UTC
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 3 Simon Clark 2016-05-04 07:03:53 UTC
I have added a brief release notes entry to the draft F24 Release Notes here: https://git.fedorahosted.org/cgit/docs/release-notes.git/patch/?id=db03e53c4b2a310853067f3ddf3d15a3dd22e450

Please would you take a look at the draft and let me know if anything should be added or changed?

Comment 4 Jonathan Wakely 2016-05-04 09:10:54 UTC
Boost 1.61 will be out before F24 (I think it was originally scheduled for last week), so it won't be the latest upstream release by the time F24 is released.

Maybe something like "Fedora 24 includes Boost version 1.60.0, a newer release from upstream."

N.B. the current wording also says "upstream **Boot** release" :-)

Comment 5 Simon Clark 2016-05-04 18:46:10 UTC
(In reply to Jonathan Wakely from comment #4)
> Boost 1.61 will be out before F24 (I think it was originally scheduled for
> last week), so it won't be the latest upstream release by the time F24 is
> released.
> 
> Maybe something like "Fedora 24 includes Boost version 1.60.0, a newer
> release from upstream."
> 
> N.B. the current wording also says "upstream **Boot** release" :-)

Thank you very much for the feedback.  I have amended the release notes entry in line with your suggestions: https://git.fedorahosted.org/cgit/docs/release-notes.git/commit/?h=f24&id=d3c8c728583f0154ec67dbc84acd35f2759dd878


Note You need to log in before you can comment on or make changes to this bug.